/*: 
 [Previous](@previous)
 
 So you think you're all done? Here's some optional quests.

 * Replace the duck with your social media avatar or a favorite Sesame Street character.

 * Volunteer to help someone near you. Explaining something is a great way to reinforce your own knowledge.

 * Brainstorm other coding topics that could be taught with a playground.

* Take a peek in TransformPuzzleVC.swift in the `Sources` folder and add your own puzzles.
 
* Play around with the transforms for the ducks defined below.

* If you want to know what's up with the parameters in `CGAffineTransform(a: 1, b: 0, c: 0, d: 1, tx: 100, ty: 100)`, you can read more about the math in [Apple's reference](https://developer.apple.com/library/content/documentation/GraphicsImaging/Conceptual/drawingwithquartz2d/dq_affine/dq_affine.html)
 
* Get in touch with me: [@emarley](https://twitter.com/@emarley) or [lizamarley@gmail.com](mailto:lizamarley@gmail.com)
*/

import UIKit
import PlaygroundSupport

let mainView = UIView(frame: CGRect(x: 0, y: 0, width: 500, height: 700))
mainView.backgroundColor = UIColor.lightGray
PlaygroundPage.current.liveView = mainView

let huey = UIImageView(image: #imageLiteral(resourceName: "Duck.png"))
huey.transform = CGAffineTransform(translationX: 250, y: 100)
mainView.addSubview(huey)

let dewey = UIImageView(image: #imageLiteral(resourceName: "Duck.png"))
dewey.transform = CGAffineTransform(a: 1, b: 0, c: 0, d: 1, tx: 100, ty: 100)
mainView.addSubview(dewey)

let louie = UIImageView(image: #imageLiteral(resourceName: "Duck.png"))
louie.transform = CGAffineTransform(rotationAngle: CGFloat.pi/3).translatedBy(x: 0, y: 100)
mainView.addSubview(louie)

